﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Panda.App</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
              crossorigin="anonymous"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" />
    </environment>
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <div class="container-fluid">
        <header>
            @if (!this.User.Identity.IsAuthenticated)
            {
                <nav class="navbar navbar-expand-lg navbar-dark">
                    <a class="navbar-brand nav-link-white bg-dark" href="/">Panda</a>
                    <button class="navbar-toggler-icon bg-dark" type="button" data-toggle="collapse" data-target="#navbarNav">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse d-flex justify-content-between bg-dark" id="navbarNav">
                        <ul class="navbar-nav"></ul>
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Home/Index">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Identity/Account/Login">Login</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-black active" href="/Identity/Account/Register">Register</a>
                            </li>
                        </ul>

                    </div>
                </nav>
            }
            else if (this.User.IsInRole("User"))
            {
                <nav class="navbar navbar-expand-lg navbar-dark">
                    <a class="navbar-brand nav-link-white bg-dark" href="/">PANDA</a>
                    <button class="navbar-toggler-icon bg-dark" type="button" data-toggle="collapse" data-target="#navbarNav">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse d-flex justify-content-between bg-dark" id="navbarNav">
                        <ul class="navbar-nav"></ul>
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Home/Index">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Receipts/My">Receipts</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-black active" href="/Identity/Account/Logout">Logout</a>
                            </li>
                        </ul>

                    </div>
                </nav>
            }
            else if (this.User.IsInRole("Admin"))
            {
                <nav class="navbar navbar-expand-lg navbar-dark">
                    <a class="navbar-brand nav-link-white bg-dark" href="/">PANDA</a>
                    <button class="navbar-toggler-icon bg-dark" type="button" data-toggle="collapse" data-target="#navbarNav"
                            aria-controls="navbarNav" aria-expanded="false" aria-label="TogleNavigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse d-flex justify-content-between bg-dark" id="navbarNav">
                        <ul class="navbar-nav"></ul>
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Packages/Pending">Pending</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Packages/Shipped">Shipped</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-black active" href="/Packages/Delivered">Dellivered</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-black active" href="/Packages/Create">Package</a>
                            </li>
                        </ul>
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Home/Index">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-white active" href="/Receipt/My">Receipts</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link nav-link-black active" href="/Identity/Account/Logout">Logout</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            }
        </header>

        <main role="main" class="mt-3">
            @RenderBody()
        </main>

        <footer>
            <div class="container-fluid bg-dark">
                <div class="text-center p-2 text-white">
                    &copy; CopyRight IrinKa Web Design Studios 2019. All rigts reserved.
                </div>
            </div>
        </footer>
    </div>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
        </script>
    </environment>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @RenderSection("Scripts", required: false)
</body>
</html>
